كيفية تثبيت Rails على Ubuntu وتحديث Ruby إلى أحدث إصدار

قبل شهرين ، عندما تعلمت Ruby-on-Rails لأول مرة ، كان علي العمل في مشروع تعاوني مع شريك في البرمجة. ظللنا نواجه مشكلات ، حيث كان لديه إصدار مختلف من إعداد Rails و Buby للمشروع. لم أتمكن من التفاف رأسي حول كيفية تثبيت الإصدارات التي يحتاجها المشروع.

هذا هو الدليل الذي أتمنى لو كان لدي. يوضح لك أيضًا كيفية تبديل إصدار Ruby أو Rails الذي تستخدمه ، اعتمادًا على المشاريع التي تعمل عليها.

أولاً ، لنقم بتثبيت أحدث إصدار من Ruby. للقيام بذلك ، نحتاج إلى تثبيت حزمة تسمى RVM - Ruby version manager. تتيح لنا هذه الحزمة تثبيت أي إصدار من Ruby على جهاز Ubuntu الخاص بنا وتسمح لنا بالتبديل بين الإصدارات.

سيتم تشغيل جميع الكود هنا باستخدام Ubuntu CLI / Terminal.

تثبيت RVM

  1. أولاً ، نحتاج إلى تثبيت شرط مسبق. افتح محطة Ubuntu الخاصة بك واكتب الأمر:
sudo apt-get install software-properties-common 

بعد ذلك ، نحتاج إلى إضافة PPA (أرشيف الحزمة الشخصية) . PPA هي الطريقة التي نوزع بها الملفات من قبل المطورين الذين لم يصلوا بعد إلى حزمة Ubuntu / متجر التطبيقات الرسمي.

إنها أيضًا طريقة للمطورين لتوزيع أحدث إصدارات برامجهم أثناء انتظار Ubuntu لاختبار ونشر هذا البرنامج في المتجر الرسمي.

sudo apt-add-repository -y ppa:rael-gc/rvm

يضيف الأمر أعلاه PPA إلى قائمة المواقع التي يمكننا تنزيل الحزم منها على جهاز Ubuntu الخاص بنا.

بعد ذلك ، لنقم بتحديث قائمة الحزم الخاصة بنا عن طريق تشغيل:

sudo apt-get update

أخيرًا ، دعنا نثبت RVM نفسه.

sudo apt-get install rvm

أعد تشغيل الجهاز الطرفي الآن لتصبح التغييرات سارية. ثم اكتب rvm versionوضرب enterللتحقق من تثبيت RVM. يجب أن تحصل على رد مثل هذا:

rvm 1.29.10 (manual) by Michal Papis, Piotr Kuczynski, Wayne E. Seguin [//rvm.io]

تركيب روبي

الآن يمكننا تثبيت أحدث إصدار من Ruby وهو 2.7.1. قم بتشغيل الأمر rvm install 2.7.1. بدلاً من ذلك ، يمكنك تشغيل rvm install rubyالذي سيقوم بتثبيت أحدث إصدار ثابت (سيؤدي ذلك إلى تثبيت v2.7.0).

لمعرفة إصدارات Ruby التي قمت بتثبيتها ، قم بتشغيل rvm ls. للتبديل بين إصدارات Ruby ، ​​قم بتشغيل rvm use (على سبيل المثال ، rvm use 2.7.1).

تثبيت روبي أون ريلز

أحدث إصدار من ريلز هو 6.03. ريلز هي مجرد جوهرة روبي ، ومع تثبيت روبي يمكننا تثبيت ريلز! قم بتشغيل gem install railsلتثبيت أحدث إصدار من ريلز.

أخيرًا ، للتحقق من أن كل شيء سار بشكل جيد ، قم بتشغيل rails -v. يجب أن Rails 6.0.3.2تعود ، فهذه هي أحدث نسخة وقت نشر هذه المقالة.

يمكنك الآن بدء مشروع ريلز الأول عن طريق الكتابة rails new myapp.

مرحبًا ، أنت الآن على ريلز!